usb_hub_tt_clear_buffer
Prev | Chapter 5. USB Core APIs | Next

## Name

usb_hub_tt_clear_buffer — clear control/bulk TT state in high speed hub

## Synopsis

`void usb_hub_tt_clear_buffer (` | struct usb_device * | udev,
| int | pipe`)`;

## Arguments

`udev`

  the device whose split transaction failed

`pipe`

  identifies the endpoint of the failed transaction

## Description

High speed HCDs use this to tell the hub driver that some split control or bulk transaction failed in a way that requires clearing internal state of a transaction translator. This is normally detected (and reported) from interrupt context.

It may not be possible for that hub to handle additional full (or low) speed transactions until that state is fully cleared out.

Prev | Up | Next
usb_buffer_unmap_sg | Home | usb_root_hub_lost_power